summaryrefslogtreecommitdiff
path: root/net-analyzer/cacti
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /net-analyzer/cacti
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'net-analyzer/cacti')
-rw-r--r--net-analyzer/cacti/Manifest1
-rw-r--r--net-analyzer/cacti/cacti-1.2.26.ebuild49
-rw-r--r--net-analyzer/cacti/files/postinstall-en.txt62
-rw-r--r--net-analyzer/cacti/metadata.xml24
4 files changed, 136 insertions, 0 deletions
diff --git a/net-analyzer/cacti/Manifest b/net-analyzer/cacti/Manifest
new file mode 100644
index 000000000000..a7c1d7d9253a
--- /dev/null
+++ b/net-analyzer/cacti/Manifest
@@ -0,0 +1 @@
+DIST cacti-1.2.26.tar.gz 43637358 BLAKE2B 862b98e9b194f211a400b37f90c2bfb128bf71ee4660391ba2311deedd8b1342ce0d17d67181d16deae345c12596d7599b1272272b32fd7ab52fe2850f8209f6 SHA512 43bfa2fa5b87267191f845de8be38025b795509eb12817e5ff9884b20676655ec4e5230e015abe2afa9f10354317eec39081613e5c9fec4f6a6f314bedf873ab
diff --git a/net-analyzer/cacti/cacti-1.2.26.ebuild b/net-analyzer/cacti/cacti-1.2.26.ebuild
new file mode 100644
index 000000000000..c07574d0d83f
--- /dev/null
+++ b/net-analyzer/cacti/cacti-1.2.26.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit edos2unix webapp
+
+# Support for _p* in version.
+MY_P=${P/_p*/}
+
+DESCRIPTION="Cacti is a complete frontend to rrdtool"
+HOMEPAGE="https://www.cacti.net/"
+SRC_URI="https://www.cacti.net/downloads/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+KEYWORDS="amd64 ~arm ~hppa ~ppc64 ~sparc x86"
+IUSE="snmp doc"
+
+need_httpd
+
+RDEPEND="
+ dev-lang/php[cli,mysql,pdo,session,sockets,xml]
+ dev-php/adodb
+ net-analyzer/rrdtool[graph]
+ virtual/cron
+ snmp? ( >=net-analyzer/net-snmp-5.2.0 )
+"
+
+src_compile() { :; }
+
+src_install() {
+ dodoc CHANGELOG
+ dodoc -r docs
+ mv docs .. || die
+
+ webapp_src_preinst
+
+ edos2unix `find -type f -name '*.php'`
+
+ dodir ${MY_HTDOCSDIR}
+ cp -r . "${ED}"${MY_HTDOCSDIR}
+
+ webapp_serverowned ${MY_HTDOCSDIR}/rra
+ webapp_serverowned ${MY_HTDOCSDIR}/log
+ webapp_configfile ${MY_HTDOCSDIR}/include/config.php
+ webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+
+ webapp_src_install
+}
diff --git a/net-analyzer/cacti/files/postinstall-en.txt b/net-analyzer/cacti/files/postinstall-en.txt
new file mode 100644
index 000000000000..732c718005cb
--- /dev/null
+++ b/net-analyzer/cacti/files/postinstall-en.txt
@@ -0,0 +1,62 @@
+
+New Install
+
+1. Create the new cacti database
+ shell> mysqladmin -p --user=root create cacti
+2. Import the default cacti database:
+ shell> mysql -p --user=root cacti < ${MY_INSTALLDIR}/cacti.sql
+3. Create a MySQL username and password for cacti.
+ shell> mysql -p --user=root mysql
+ mysql> GRANT ALL ON cacti.* TO cactiuser@localhost IDENTIFIED BY 'somepassword';
+ mysql> flush privileges;
+4. Edit ${MY_INSTALLDIR}/include/config.php and modify the MySQL user,
+ password and database for your cacti configuration.
+
+ Example:
+ \$database_default = "cacti";
+ \$database_hostname = "localhost";
+ \$database_username = "cactiuser";
+ \$database_password = "somepassword";
+
+5. Point your web browser to: http://${VHOST_HOSTNAME}/${VHOST_APPDIR}/
+ Make sure to fill in all of the path variables carefully and
+ correctly on the following screen.
+6. After you've gone through the setup wizard, go back to the main cacti page
+ and login as:
+ Username: admin
+ Password: admin
+
+Upgrading
+
+1. Backup DB in the case that something goes wrong.
+ shell> mysqldump -l --add-drop-table cacti > mysql.cacti
+2. Backup your rra/ directory and any custom scripts in your scripts/
+ directory.
+3. Edit ${MY_INSTALLDIR}/include/config.php, and confirm that the MySQL user,
+ password and database is correct for your cacti configuration.
+
+ Example:
+ \$database_default = "cacti";
+ \$database_hostname = "localhost";
+ \$database_username = "cactiuser";
+ \$database_password = "somepassword";
+4. Point your web browser to: http://${VHOST_HOSTNAME}/${VHOST_APPDIR}/
+ Select "Upgrade".
+ Make sure to fill in all of the path variables carefully and
+ correctly on the following screen.
+
+Cronjob
+
+Either new or upgrading, make sure you have a cron job - Add this line to
+your /etc/crontab file:
+
+ */5 * * * * ${VHOST_SERVER_GID} /usr/bin/php ${MY_INSTALLDIR}/poller.php > /dev/null 2>&1
+
+Note that you should use poller.php as the cronjob instead of cmd.php (as it was with
+earlier versions) to enable you to switch between cmd.php and cactid.
+
+Also make sure that the user poller.php runs as ( ${VHOST_SERVER_GID} ) has
+permission to create new files in Cacti's 'rra/' directory which is
+${MY_INSTALLDIR}/rra
+
+
diff --git a/net-analyzer/cacti/metadata.xml b/net-analyzer/cacti/metadata.xml
new file mode 100644
index 000000000000..a300fdda8fa4
--- /dev/null
+++ b/net-analyzer/cacti/metadata.xml
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>netmon@gentoo.org</email>
+ <name>Gentoo network monitoring and analysis project</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <longdescription lang="en">
+ Cacti is a complete network graphing solution designed to harness the
+ power of RRDTool's data storage and graphing functionality. Cacti
+ provides a fast poller, advanced graph templating, multiple data
+ acquisition methods, and user management features out of the box. All of
+ this is wrapped in an intuitive, easy to use interface that makes sense
+ for LAN-sized installations up to complex networks with hundreds of
+ devices.
+ </longdescription>
+ <use>
+ <flag name="doc">install html documentation</flag>
+ </use>
+ <upstream>
+ <remote-id type="github">Cacti/cacti</remote-id>
+ </upstream>
+</pkgmetadata>